## GcrTokenManager GcrTokenManager |

## Synopsis

                        GcrTokenManagerPrivate;
                        GcrTokenManager;
    GcrTokenManager*    gcr_token_manager_new               (struct _GP11Slot *slot);
    struct _GP11Slot*   gcr_token_manager_get_slot          (GcrTokenManager *self);
    gboolean            gcr_token_manager_initialize        (GcrTokenManager *self,
                                                             GCancellable *cancel,
                                                             GError **error);
    void                gcr_token_manager_initialize_async  (GcrTokenManager *self,
                                                             GCancellable *cancel,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            gcr_token_manager_initialize_finish (GcrTokenManager *self,
                                                             GAsyncResult *res,
                                                             GError **error);
    gboolean            gcr_token_manager_change_pin        (GcrTokenManager *self,
                                                             GCancellable *cancel,
                                                             GError **error);
    void                gcr_token_manager_change_pin_async  (GcrTokenManager *self,
                                                             GCancellable *cancel,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            gcr_token_manager_change_pin_finish (GcrTokenManager *self,
                                                             GAsyncResult *res,
                                                             GError **error);

## Description

## Details

### GcrTokenManagerPrivate

    typedef struct _GcrTokenManagerPrivate GcrTokenManagerPrivate;

### GcrTokenManager

    typedef struct {
    	GObject parent;
    	GcrTokenManagerPrivate *pv;
    } GcrTokenManager;

### gcr_token_manager_new ()

    GcrTokenManager*    gcr_token_manager_new               (struct _GP11Slot *slot);

`slot` : |
Returns : |

### gcr_token_manager_get_slot ()

    struct _GP11Slot*   gcr_token_manager_get_slot          (GcrTokenManager *self);

`self` : |
Returns : |

### gcr_token_manager_initialize ()

    gboolean            gcr_token_manager_initialize        (GcrTokenManager *self,
                                                             GCancellable *cancel,
                                                             GError **error);

`self` : |
`cancel` : |
`error` : |
Returns : |

### gcr_token_manager_initialize_async ()

    void                gcr_token_manager_initialize_async  (GcrTokenManager *self,
                                                             GCancellable *cancel,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`self` : |
`cancel` : |
`callback` : |
`user_data` : |

### gcr_token_manager_initialize_finish ()

    gboolean            gcr_token_manager_initialize_finish (GcrTokenManager *self,
                                                             GAsyncResult *res,
                                                             GError **error);

`self` : |
`res` : |
`error` : |
Returns : |

### gcr_token_manager_change_pin ()

    gboolean            gcr_token_manager_change_pin        (GcrTokenManager *self,
                                                             GCancellable *cancel,
                                                             GError **error);

`self` : |
`cancel` : |
`error` : |
Returns : |

### gcr_token_manager_change_pin_async ()

    void                gcr_token_manager_change_pin_async  (GcrTokenManager *self,
                                                             GCancellable *cancel,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`self` : |
`cancel` : |
`callback` : |
`user_data` : |

### gcr_token_manager_change_pin_finish ()

    gboolean            gcr_token_manager_change_pin_finish (GcrTokenManager *self,
                                                             GAsyncResult *res,
                                                             GError **error);

`self` : |
`res` : |
`error` : |
Returns : |